List all reports
List all reports for an organization
get/tenants/{tenantUid}/organizations/{organizationUid}/reports
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+organizationUidstringRequiredPattern:
Reference to an organization.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
List of available reports
application/json
get/tenants/{tenantUid}/organizations/{organizationUid}/reports
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/reports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
List of available reports
{
"items": [
{
"reportUid": "text",
"request": {
"fromDate": "2026-01-01",
"toDate": "2026-01-01",
"storeUids": [
"text"
],
"reportUid": "text"
},
"state": "ABORTED",
"type": "SAFT",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"sendNotificationTo": "text",
"notificationSentAt": "2026-01-01T00:00:00.000Z",
"progress": "text",
"filename": "text",
"filesize": 1
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

